---
theme: seriph
# background: https://source.unsplash.com/collection/94734566/1920x1080
class: text-center
highlighter: shiki
lineNumbers: true
info: |
  ## Introduction to microprocessors
drawings:
  persist: false
defaults:
  foo: true
transition: slide-left
title: MA - 01 - Introduction
mdc: true
layout: cover
themeConfig:
  primary: '#0060df'
download: true
exportFilename: pm_cc-01
background:
---

# Introduction
Lecture 1

---

# Welcome
to the *Microprocessor Architecture* engineering class

## You will learn

- how hardware works
- how to actually build your own hardware device
- the Rust programming Language

## We expect
- to come to class
- ask a lot of questions

<!-- Team -->
---
src: ./team.md
---

<!-- Admin -->

---
src: ../../resources/admin/slides.md
---

<!-- Subjects -->

---
src: ./subjects.md
---

<!-- AGC -->

---
src: ../../resources/agc/slides.md
---

<!-- Processor -->

---
src: ../../resources/processor/slides.md
---

<!-- MCUs -->

---
src: ../../resources/mcu/slides.md
---

<!-- RP2040 -->

---
src: ../../resources/rp2040/slides.md
---

---
---
# Conclusion
we talked about

- How a processor functions
- Microcontrollers (MCU) / Microprocessors (CPU)
- Microcontroller architectures
- ARM Cortex-M
- RP2040
